Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.gms
Interface IEndPointStateChangeSubscriber

All Known Implementing Classes:
  StorageLoadBalancer, StorageService

    public interface IEndPointStateChangeSubscriber

This is called by an instance of the IEndPointStateChangePublisher to notify interested parties about changes in the the state associated with any endpoint. For instance if node A figures there is a changes in state for an endpoint B it notifies all interested parties of this change. It is upto to the registered instance to decide what he does with this change. Not all modules maybe interested in all state changes.

Method Summary
`void` | `onAlive(java.net.InetAddress endpoint, EndPointState state)`
`void` | `onChange(java.net.InetAddress endpoint, java.lang.String stateName, ApplicationState state)`
`void` | `onDead(java.net.InetAddress endpoint, EndPointState state)`
`void` | `onJoin(java.net.InetAddress endpoint, EndPointState epState)` Use to inform interested parties about the change in the state for specified endpoint
`void` | `onRemove(java.net.InetAddress endpoint)`

Method Detail

### onJoin

    void onJoin(java.net.InetAddress endpoint,
                EndPointState epState)

  Use to inform interested parties about the change in the state for specified endpoint

  Parameters:
    `endpoint` - endpoint for which the state change occurred.
    `epState` - state that actually changed for the above endpoint.

### onChange

    void onChange(java.net.InetAddress endpoint,
                  java.lang.String stateName,
                  ApplicationState state)

### onAlive

    void onAlive(java.net.InetAddress endpoint,
                 EndPointState state)

### onDead

    void onDead(java.net.InetAddress endpoint,
                EndPointState state)

### onRemove

    void onRemove(java.net.InetAddress endpoint)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 The Apache Software Foundation